Обход ограничений безопасности в Jetty

Дата публикации:
09.02.2007
Всего просмотров:
2022
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Внедрение в сессию пользователя
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Jetty 4.x
Jetty 3.x
Jetty 5.x
Jetty 6.x
Уязвимые версии: Jetty версии до 4.2.27, 5.1.12, 6.0.2 и 6.1.0pre3.

Описание:
Уязвимость позволяет удаленному пользователю внедрится в сессии других пользователей.

Уязвимость существует из-за того, что приложение генерирует предсказуемый идентификатор сессии.

URL производителя: jetty.mortbay.org/jetty/index.html

Решение: Установите последнюю версию с сайта производителя.

Ссылки: Jetty Session Id Prediction

или введите имя

CAPTCHA